function InspectImadjust(img_gray,tol, n)
 
if nargin<3
    n = 3;
end

if nargin<2
    tol = 0.05;
end

figure;
subplot(n+1,2,1);
imshow(img_gray);
title('Immagine a Livelli di grigio');

subplot(n+1,2,2);
imhist(img_gray);
title('istogramma ORIG');
xlabel('l.d.g.');
ylabel('#pixels');

%%CONTRAST STRETCHING 
%Sintassi generale: J = imadjust(I,[low_in; high_in],[low_out; high_out],gamma)
step = 1/n;
gammaMin =  [];
for i=1:floor(n/2)
    gammaMin = [gammaMin 1-(i*step)];
end
gammaMin = fliplr(gammaMin);

gammaMax =  [];
for i=1:floor(n/2)
    gammaMax = [gammaMax 1+(i*step)];
end
gamma = [gammaMin 1 gammaMax];
 
i = 3;
for g = gamma
    img_CS = imadjust(img_gray, stretchlim(img_gray, tol), [], g);
    subplot(n+1,2,i);
    imshow(img_CS)
    title(['tol: ' num2str(tol) '. gamma: ' num2str(g)]);
    subplot(n+1,2,i+1);
    imhist(img_CS);
    i = i + 2;
end
end