function out = sigmoidalT(img_gray, a)
 %INPUT:
%       - img to transform
%       - a:  exponent of the sigmoidal transform
%OUTPUT:
%       - out: the transformed image

x = 0:255;
LUT = 255./(1+ exp(-a*(x-127)/32));

out = LUT(img_gray+1);

subplot(2,2,1);
imshow(img_gray);
title('Gray Level Image');

subplot(2,2,2);
imhist(img_gray);
title('Histogram of the Original Img');
xlabel('l.d.g.');
ylabel('#pixels');
 
subplot(2,2,3)
imshow(out, [])
title('Trasformed img by Sigmoidal');

subplot(2,2,4)
imhist(out);
title('Histogram after the Sigmoidal Trasform');
xlabel('l.d.g.');
ylabel('#pixels');
end
